# Class IlluminaManifestRecord

java.lang.Object
picard.arrays.illumina.IlluminaManifestRecord

Direct Known Subclasses:
  `Build37ExtendedIlluminaManifestRecord`

public class IlluminaManifestRecord extends Object
A class to represent a record (line) from an Illumina Manifest [Assay] entry

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static enum`
`IlluminaManifestRecord.IlluminaStrand`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ILLUMINA_FLAGGED_BAD_CHR`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddressAId()`
`String`
`getAddressBId()`
`String`
`getAlleleAProbeSeq()`
`String`
`getAlleleBProbeSeq()`
`int`
`getBeadSetId()`
`String`
`getChr()`
`String`
`getExpClusters()`
`String`
`getGenomeBuild()`
`String`
`getHgGenomeBuild()`
`String`
`getIlmnId()`
`IlluminaManifestRecord.IlluminaStrand`
`getIlmnStrand()`
`int`
`getIndex()`
`boolean`
`getIntensityOnly()`
`String`
`getLine()`
`String`
`getMajorGenomeBuild()`
`String`
`getName()`
`String`
`getPloidy()`
`int`
`getPosition()`
`htsjdk.tribble.annotation.Strand`
`getRefStrand()`
`String`
`getSnp()`
`String`
`getSource()`
`String`
`getSourceSeq()`
`IlluminaManifestRecord.IlluminaStrand`
`getSourceStrand()`
`String`
`getSourceVersion()`
`String`
`getSpecies()`
`String`
`getTopGenomicSeq()`
`boolean`
`isAmbiguous()`
`boolean`
`isIndel()`
`boolean`
`isSnp()`
`void`
`setHgGenomeBuild(String hgGenomeBuild)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ILLUMINA_FLAGGED_BAD_CHR

public static final String ILLUMINA_FLAGGED_BAD_CHR

See Also:
  - Constant Field Values

## Method Details

### getLine

public String getLine()

### getIlmnId

public String getIlmnId()

### getName

public String getName()

### getIlmnStrand

public IlluminaManifestRecord.IlluminaStrand getIlmnStrand()

### getSnp

public String getSnp()

### isIndel

public boolean isIndel()

### isAmbiguous

public boolean isAmbiguous()

### isSnp

public boolean isSnp()

### getAddressAId

public String getAddressAId()

### getAlleleAProbeSeq

public String getAlleleAProbeSeq()

### getAddressBId

public String getAddressBId()

### getAlleleBProbeSeq

public String getAlleleBProbeSeq()

### getGenomeBuild

public String getGenomeBuild()

### getMajorGenomeBuild

public String getMajorGenomeBuild()

### getHgGenomeBuild

public String getHgGenomeBuild()

### setHgGenomeBuild

public void setHgGenomeBuild(String hgGenomeBuild)

### getChr

public String getChr()

### getPosition

public int getPosition()

### getPloidy

public String getPloidy()

### getSpecies

public String getSpecies()

### getSource

public String getSource()

### getSourceVersion

public String getSourceVersion()

### getSourceStrand

public IlluminaManifestRecord.IlluminaStrand getSourceStrand()

### getSourceSeq

public String getSourceSeq()

### getTopGenomicSeq

public String getTopGenomicSeq()

### getBeadSetId

public int getBeadSetId()

### getExpClusters

public String getExpClusters()

### getRefStrand

public htsjdk.tribble.annotation.Strand getRefStrand()

### getIntensityOnly

public boolean getIntensityOnly()

### getIndex

public int getIndex()

### toString

public String toString()

Overrides:
  `toString` in class `Object`